Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.splitstream
Interface SplitStream

All Superinterfaces:
  Destructable

All Known Implementing Classes:
  SplitStreamImpl

    public interface SplitStream

extends Destructable

The interface defines the methods that a splitStream object must implement. The methods are for creating a channel and for attaching to an already existing channel

Version:
  $Id: SplitStream.java 3507 2006-12-21 13:18:37Z jeffh $
Author:
  Ansley Post, Alan Mislove

Method Summary
`Channel` | `attachChannel(ChannelId id)` A SplitStream application calls this method to join a channel.
`Channel` | `createChannel(ChannelId id)` A SplitStream application calls this method when it wishes to distribute content, creating a new channel object.
`void` | `destroy()`
`Channel[]` | `getChannels()` Returns all of the channels on this local splitstream
`Environment` | `getEnvironment()`
`int` | `getStripeBaseBitLength()`

Method Detail

### attachChannel

    Channel attachChannel(ChannelId id)

  A SplitStream application calls this method to join a channel.

  Parameters:
    `id` - The id of the channel
  Returns:
    A channel object used for subsequent operations on the desired content stream

### createChannel

    Channel createChannel(ChannelId id)

  A SplitStream application calls this method when it wishes to distribute content, creating a new channel object.

  Parameters:
    `id` - The id of the channel
  Returns:
    A new channel object

### getChannels

    Channel[] getChannels()

  Returns all of the channels on this local splitstream

  Returns:
    All of the channels currently being received by this splitstream

### getStripeBaseBitLength

    int getStripeBaseBitLength()

### getEnvironment

    Environment getEnvironment()

### destroy

    void destroy()

  Specified by:
    `destroy` in interface `Destructable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.